> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/audience-feature-folders.md).

# Audience Feature Folders

Operations related to Audience Feature Folders for organizing Audience Features within a Datamart.

## GET /datamarts/{datamart\_id}/audience\_feature\_folders

> Fetch audience feature folders

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience Feature Folders","description":"Operations related to Audience Feature Folders for organizing Audience Features within a Datamart."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/audience_feature_folders":{"get":{"parameters":[{"in":"path","name":"datamart_id","explode":false,"schema":{"type":"string"},"style":"simple","required":true},{"explode":true,"description":"The name of the audience feature folder","style":"form","required":false,"in":"query","schema":{"type":"string"},"name":"name"},{"explode":true,"required":false,"style":"form","description":"The audience features store in the folder","schema":{"type":"array","items":{"type":"string"}},"in":"query","name":"audience_features_ids"},{"description":"The parent folder","explode":true,"required":false,"style":"form","name":"parentId","schema":{"type":"string"},"in":"query"},{"name":"childrenIds","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}},"description":"The children folders","in":"query","required":false},{"schema":{"type":"integer","format":"int32"},"explode":true,"description":"Offset from which the search must be performed","in":"query","name":"first_result","required":false,"style":"form"},{"schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that may be returned by this search","style":"form","required":false,"in":"query","explode":true,"name":"max_results"},{"in":"query","description":"Fields used to order the result","required":false,"name":"order_by","explode":true,"style":"form","schema":{"type":"array","items":{"type":"string"}}}],"summary":"Fetch audience feature folders","tags":["Audience Feature Folders"],"operationId":"findAudienceFeatureFolders","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}},"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceFeatureFolderResource":{"type":"object","properties":{"parent_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":false},"audience_features_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"children_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["datamart_id","id","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/audience\_feature\_folders

> Create a audience feature folder

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience Feature Folders","description":"Operations related to Audience Feature Folders for organizing Audience Features within a Datamart."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/audience_feature_folders":{"post":{"tags":["Audience Feature Folders"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The audience feature folder to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}}},"required":true},"description":"","parameters":[{"required":true,"explode":false,"style":"simple","name":"datamart_id","in":"path","schema":{"type":"string"}}],"operationId":"createAudienceFeatureFolder","summary":"Create a audience feature folder"}}},"components":{"schemas":{"AudienceFeatureFolderResource":{"type":"object","properties":{"parent_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":false},"audience_features_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"children_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["datamart_id","id","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/audience\_feature\_folders/{audience\_feature\_folder\_id}

> Get audience feature folder by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience Feature Folders","description":"Operations related to Audience Feature Folders for organizing Audience Features within a Datamart."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/audience_feature_folders/{audience_feature_folder_id}":{"get":{"parameters":[{"schema":{"type":"string"},"name":"datamart_id","explode":false,"in":"path","style":"simple","required":true},{"schema":{"type":"string"},"required":true,"in":"path","explode":false,"name":"audience_feature_folder_id","style":"simple"}],"tags":["Audience Feature Folders"],"description":"","operationId":"getAudienceFeatureFolder","summary":"Get audience feature folder by id","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceFeatureFolderResource":{"type":"object","properties":{"parent_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":false},"audience_features_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"children_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["datamart_id","id","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/audience\_feature\_folders/{audience\_feature\_folder\_id}

> Update an audience feature folder

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience Feature Folders","description":"Operations related to Audience Feature Folders for organizing Audience Features within a Datamart."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/audience_feature_folders/{audience_feature_folder_id}":{"put":{"parameters":[{"in":"path","explode":false,"name":"datamart_id","style":"simple","schema":{"type":"string"},"required":true},{"required":true,"explode":false,"in":"path","style":"simple","name":"audience_feature_folder_id","schema":{"type":"string"}}],"tags":["Audience Feature Folders"],"requestBody":{"description":"The audience feature folder to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}}},"required":true},"description":"","summary":"Update an audience feature folder","operationId":"updateAudienceFeatureFolder","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceFeatureFolderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AudienceFeatureFolderResource":{"type":"object","properties":{"parent_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":false},"audience_features_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"children_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["datamart_id","id","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/audience\_feature\_folders/{audience\_feature\_folder\_id}

> Delete a audience feature folder

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience Feature Folders","description":"Operations related to Audience Feature Folders for organizing Audience Features within a Datamart."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/audience_feature_folders/{audience_feature_folder_id}":{"delete":{"operationId":"deleteAudienceFeatureFolder","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"datamart_id","schema":{"type":"string"},"explode":false,"in":"path","required":true,"style":"simple"},{"required":true,"in":"path","name":"audience_feature_folder_id","explode":false,"style":"simple","schema":{"type":"string"}}],"summary":"Delete a audience feature folder","tags":["Audience Feature Folders"],"description":""}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/audience-feature-folders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
